/**************************************************************************//**
 * @item     CosyOS-III Hook
 * @file     start_hook.c
 * @brief    启动钩子
 * @details  在任务启动器（Starter）中被调用，可在此启动用户任务。
 * @note     相关服务：
             uStartTask(task, status); 启动任务
             uStartTask_Ready(task);   启动任务并就绪
             uStartTask_Block(task);   启动任务并阻塞
             uStartTask_Suspend(task); 启动任务并挂起
 * @author   迟凯峰
 * @version  V2.1.0
 * @date     2025.12.15
 ******************************************************************************/

#include "CosyOS.H"

#if 1 /* 编译开关 *//* 如果该函数在用户文件中实现且此处的弱定义无效，可手动移除该函数（1 改为 0）*/

__WEAK void start_hook(void)
{
//  uScheduleLock();
    /* 如果不想在启动任务过程中进行任务调度，可开启调度锁。*/
//  uScheduleUnlock();
}

#endif
